> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sessions Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/sessions
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/sessions:
    get:
      tags:
        - traces
      summary: List Sessions Route
      operationId: list_sessions_route_api_v1_sessions_get
      parameters:
        - name: proxy_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Proxy Id
        - name: session_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Session Name
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_SessionSummary_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_SessionSummary_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SessionSummary'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: PaginatedResponse[SessionSummary]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SessionSummary:
      properties:
        session_id:
          type: string
          format: uuid
          title: Session Id
        proxy_id:
          type: string
          format: uuid
          title: Proxy Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        session_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Name
        call_count:
          type: integer
          title: Call Count
        total_request_tokens:
          type: integer
          title: Total Request Tokens
        total_response_tokens:
          type: integer
          title: Total Response Tokens
        avg_latency_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Latency Ms
        first_call_at:
          type: string
          format: date-time
          title: First Call At
        last_call_at:
          type: string
          format: date-time
          title: Last Call At
      type: object
      required:
        - session_id
        - proxy_id
        - org_id
        - call_count
        - total_request_tokens
        - total_response_tokens
        - first_call_at
        - last_call_at
      title: SessionSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````